# Uses of Annotation Interface org.bukkit.UndefinedNullability (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit, annotation type: UndefinedNullability

# Uses of Annotation Interface
org.bukkit.UndefinedNullability

Packages that use UndefinedNullability
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.event.server
`Events` relating to programmatic state changes on the server.
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.
org.bukkit.material
Classes that represents various voxel types and states.

## Uses of UndefinedNullability in org.bukkit

Methods in org.bukkit with annotations of type UndefinedNullability
Modifier and Type
Method
Description
`World`
Location.`getWorld()`
Gets the world that this location resides in
Constructor parameters in org.bukkit with annotations of type UndefinedNullability
Modifier
Constructor
Description
``
`Location(World world, double x, double y, double z)`
Constructs a new Location with the given coordinates
``
`Location(World world, double x, double y, double z, float yaw, float pitch)`
Constructs a new Location with the given coordinates and direction

## Uses of UndefinedNullability in org.bukkit.event.server

Method parameters in org.bukkit.event.server with annotations of type UndefinedNullability
Modifier and Type
Method
Description
`void`
ServerListPingEvent.`setServerIcon(CachedServerIcon icon)`
Sets the server-icon sent to the client.

## Uses of UndefinedNullability in org.bukkit.inventory

Methods in org.bukkit.inventory with annotations of type UndefinedNullability
Modifier and Type
Method
Description
`ItemStack @NotNull []`
EntityEquipment.`getArmorContents()`
Gets all worn armor
`ItemStack`
EntityEquipment.`getBoots()`
Gets the boots currently being worn by the entity
`ItemStack`
EntityEquipment.`getChestplate()`
Gets the chest plate currently being worn by the entity
`ItemStack`
EntityEquipment.`getHelmet()`
Gets the helmet currently being worn by the entity
`ItemMeta`
ItemFactory.`getItemMeta(@NotNull Material material)`
This creates a new item meta for the material.
`ItemMeta`
ItemStack.`getItemMeta()`
Get a copy of this ItemStack's `ItemMeta`.
`ItemStack`
EntityEquipment.`getLeggings()`
Gets the leggings currently being worn by the entity

## Uses of UndefinedNullability in org.bukkit.inventory.meta

Method parameters in org.bukkit.inventory.meta with annotations of type UndefinedNullability
Modifier and Type
Method
Description
`void`
MapMeta.`setMapView(MapView map)`
Sets the associated map.

## Uses of UndefinedNullability in org.bukkit.material

Method parameters in org.bukkit.material with annotations of type UndefinedNullability
Modifier and Type
Method
Description
`void`
Colorable.`setColor(DyeColor color)`
Sets the color of this object to the specified DyeColor.